﻿using System;
using System.IO;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        /** Save UserSettings of UltraDockManager to given Location */
        private void SaveSettings()
        {
            string layoutFile = "C://test//MyLayout.xml";

            using (FileStream fs = new FileStream(layoutFile, FileMode.Create, FileAccess.Write)) {
                //this.ultraDockManager1.SaveAsXML(fs);

                this.ultraGrid1.DisplayLayout.SaveAsXml(fs, PropertyCategories.All);
                this.ultraGrid3.DisplayLayout.SaveAsXml(fs, PropertyCategories.All);
            }
        }

        private void LoadSettings()
        {
            string layoutFile = "C://test//Mylayout.xml";
            try {

                using (FileStream fs = new FileStream(layoutFile, FileMode.Open, FileAccess.Read)) {
                    //this.ultraDockManager1.LoadFromXML(fs);
                    this.ultraGrid1.DisplayLayout.LoadFromXml(fs);
                    this.ultraGrid3.DisplayLayout.LoadFromXml(fs);
                }
            }
            catch (Exception e) {
                Console.WriteLine("Sanjeev");
            }
        }
    }
}
